Bug 132524 - No SSL support in libgcj
Summary: No SSL support in libgcj
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 152256
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-14 14:06 UTC by Gary Benson
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-12 20:49:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gary Benson 2004-09-14 14:06:00 UTC
Description of problem:
There is no SSL support in libgcj, so parts of some packages must be
disabled.

Version-Release number of selected component (if applicable):
libgcj-3.4.1-7

Additional info:
This affects classpath-inetlib.

Comment 1 Anthony Green 2005-03-31 15:19:48 UTC
We install Jessie for SSL support by default now (in the FC4 era rawhide).

I just confirmed that you can remove classpath-inetlib-bz132524.patch from
classpath-inetlib and everything builds properly.

Are there any other packages that required work-arounds?



Comment 3 Gary Benson 2005-03-31 15:32:59 UTC
I don't think there are others with workarounds, but there's probably a couple
with classes deleted in the specfile or with classes that their build scripts
omit. MX4J springs to mind, as do tomcat and ldapjdk.  I'll go through them all
and rebuild them once bug 152256 is squashed.

Comment 4 Thomas Fitzsimmons 2005-05-12 20:49:10 UTC
I fixed this by importing Jessie into dist-fc4.



Note You need to log in before you can comment on or make changes to this bug.